OpenWrt/LEDE Project

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Base system
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version Trunk
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by hendersj - 01.09.2019
Last edited by Petr Štetiar - 16.09.2019

FS#2477 - imagebuilder fails for mvebu cortexa9

Supply the following if possible:
- Device problem occurs on
- Software versions of OpenWrt/LEDE release, packages, etc.
- Steps to reproduce

 

Downloaded https://downloads.openwrt.org/releases/18.06.4/targets/mvebu/cortexa9/openwrt-imagebuilder-18.06.4-mvebu-cortexa9.Linux-x86_64.tar.xz to build a new image for my Linksys WRT3200ACM router (using a previous image built this way).

When I run the command:

make image PROFILE=”linksys_wrt3200acm” PACKAGES=”libiwinfo-lua liblua liblucihttp liblucihttp-lua libubus-lua lua luci luci-app-firewall luci-base luci-lib-ip luci-lib-jsonc luci-lib-nixio luci-mod-admin-full luci-proto-ipv6 luci-proto-ppp luci-theme-bootstrap rpcd rpcd-mod-rrdns uhttpd adblock privoxy fwknopd luci-app-fwknopd luci-app-adblock luci-app-wol etherwake miniupnpd luci-app-upnp tcpdump less lsof luci-app-privoxy luci-ssl-openssl luci-app-advanced-reboot openvpn-openssl luci-app-openvpn squid luci-app-squid squid-mod-cachemgr luci-theme-material -wpad-basic freeradius3-mod-ldap wpad”

I get the following collected errors in the output:

Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for luci:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package luci.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for miniupnpd:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package miniupnpd.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for openvpn-openssl:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package openvpn-openssl.
* opkg_install_cmd: Cannot install package freeradius3-mod-ldap.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-btmrvl:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package kmod-btmrvl.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-gpio-button-hotplug:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package kmod-gpio-button-hotplug.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-ipt-offload:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package kmod-ipt-offload.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-mwifiex-sdio:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package kmod-mwifiex-sdio.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-mwlwifi:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package kmod-mwlwifi.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for ppp:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package ppp.
* satisfy_dependencies_for: Cannot satisfy the following dependencies for ppp-mod-pppoe:
* kernel (= 4.19.69-1-3c0902c22336f8577180341472db3bce)
* opkg_install_cmd: Cannot install package ppp-mod-pppoe.
make[2]: * [Makefile:156: package_install] Error 255
make[1]:
* [Makefile:117: _call_image] Error 2
make: *** [Makefile:196: image] Error 2

Looking at the packages directory, I see that the kernel package that’s present is kernel_4.19.57-1-021f3c5d104628fa00fdf363d7f765b1_arm_cortex-a9_vfpv3.ipk - which seems to be the issue.

I noticed as well that the last update date on this imagebuilder package is June 30.

Closed by  Petr ┼átetiar
16.09.2019 11:59
Reason for closing:  Not a bug

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing